Name: H5dont_atexit
Signature:
  herr_t `H5dont_atexit`(void)
Purpose:
  Instructs library not to install `atexit` cleanup routine.
Description:
  `H5dont_atexit` indicates to the library that an `atexit()` cleanup routine should not be installed. The major purpose for this is in situations where the library is dynamically linked into an application and is un-linked from the application before `exit()` gets called. In those situations, a routine installed with `atexit()` would jump to a routine which was no longer in memory, causing errors.

  In order to be effective, this routine must be called before any other HDF function calls, and must be called each time the library is loaded/linked into the application (the first time and after it's been un-loaded).

Parameters:

None.

Returns:
  Returns a non-negative value if successful; otherwise returns a negative value.
Fortran90 Interface: h5dont_atexit_f

      SUBROUTINE h5dont_atexit_f(hdferr)
        IMPLICIT NONE
        INTEGER, INTENT(OUT) :: hdferr      ! Error code

      END SUBROUTINE h5dont_atexit_f

History:

Release | Fortran90
1.4.5 | Function introduced in this release.